Error Cloning App

When i create a new app and select a onedrive or googledrive sheet i get this error:

Error Cloning App

{ “error”: { “code”: “api_deprecated”, “message”: “This API is no longer supported. Please see https://aka.ms/livesdkmigration for information about migrating your application to Microsoft Graph.” } } → Unable to create application folder ‘/appsheet/data/NewApp-868352’ due to: { “error”: { “code”: “api_deprecated”, “message”: “This API is no longer supported. Please see https://aka.ms/livesdkmigration for information about migrating your application to Microsoft Graph.” } }

1 Like

Hi @Andre! Welcome to the community. Sorry so much time has passed without a reply. I don’t know the answer to this question but I can say that I recently had a class where I had a fairly large number of students copy an app that I have on my portfolio. For reasons I don’t understand, some of my students also got an error. I should have taken a picture of it but, unfortunately, I don’t recall the exact wording. It may have been similar to yours. In my case, students who were unable to copy the app at first were, after some time and repeated attempts, able to do so. I would appreciate hearing from someone at AppSheet as to what might cause such errors.

@Adam Any thoughts?

Hi Aleksi,

Harry is probably best able to help with this.
He is the expert on the Microsoft providers.

1 Like

Hi,

I have the same issue.
Can’t create a new app and can’t add new tables to existing apps.
Have tried both from OneDrive and Google Drive, Excel and G Sheets

@Harry Any thoughts with this error message?

@AlexM Hi Alex, to fix this problem, please log out of AppSheet, and then log back in again via Microsoft. Currently there’s a known bug that causes Microsoft users’ access tokens to revert back to the old deprecated Microsoft API. This does not happen often, but when it does you’ll need to log out and then log back in to refresh your access token. This will put you back to the new API. Going forward, we are going to deprecate our data connector with the old API in order to eliminate this bug.

1 Like